## ros-melodic-dataspeed-pds-msgs 1.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(dataspeed_pds_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs
)

add_message_files(DIRECTORY msg FILES
  Channel.msg
  Common.msg
  Inverter.msg
  Mode.msg
  Relay.msg
  Script.msg
  Status.msg
  Temperature.msg
)

generate_messages(DEPENDENCIES
  std_msgs
)

catkin_package(CATKIN_DEPENDS
  message_runtime
  std_msgs
)

install(DIRECTORY bmr
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        FILES_MATCHING PATTERN "*.bmr"
)

=== debian/changelog ===
ros-melodic-dataspeed-pds-msgs (1.0.6-1bionic) bionic; urgency=high

  * Renamed PDS to iPDS
  * Support all 3 internal temp sensors and up to 4 external
  * Contributors: Michael Lohrer

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 13 Nov 2020 05:00:00 -0000

ros-melodic-dataspeed-pds-msgs (1.0.5-1bionic) bionic; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 28 Jul 2020 04:00:00 -0000

ros-melodic-dataspeed-pds-msgs (1.0.4-1bionic) bionic; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 24 Jul 2020 04:00:00 -0000

ros-melodic-dataspeed-pds-msgs (1.0.3-1bionic) bionic; urgency=high

  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_aut
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 09 Jul 2020 04:00:00 -0000

ros-melodic-dataspeed-pds-msgs (1.0.2-1bionic) bionic; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 29 Jun 2018 04:00:00 -0000

ros-melodic-dataspeed-pds-msgs (1.0.1-1bionic) bionic; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 28 Jun 2018 04:00:00 -0000

ros-melodic-dataspeed-pds-msgs (1.0.0-1bionic) bionic; urgency=high

  * Dynamic channel size (12,24,36,48) in status message
  * Combine status and current for one large status message
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 25 Apr 2018 04:00:00 -0000

ros-melodic-dataspeed-pds-msgs (0.1.2-1bionic) bionic; urgency=high

  * Added bag migration rules for migrating old recorded messages
  * Fixed inverter status
  * Contributors: Eric Myllyoja, Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-melodic-dataspeed-pds-msgs (0.1.1-1bionic) bionic; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 07 Sep 2017 04:00:00 -0000

ros-melodic-dataspeed-pds-msgs (0.1.0-1bionic) bionic; urgency=high

  * Initial release
  * Contributors: Eric Myllyoja, Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 07 Sep 2017 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-dataspeed-pds-msgs
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-melodic-dataspeed-pds-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-rosbag-migration-rule, ros-melodic-std-msgs
Description: Messages for the Dataspeed Inc.
 Intelligent Power Distribution System (iPDS)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-dataspeed-pds-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
